/*******************************************************************
 * Xatm -- OCF, CID, TrueType scalable font support for X 
 *  By:  ͵ <yokota@netlab.is.tsukuba.ac.jp>
 */

/* $Id: metric.h,v 1.7 1999/09/29 20:10:52 elca Exp $ */

#ifndef _METRIC_H
#define _METRIC_H

inline int xatm_d_to_i(double d);
inline double xatm_fmin(double a, double b);
inline double xatm_fmin4(double a, double b, double c, double d);
inline double xatm_fmax(double a, double b);
inline double xatm_fmax4(double a, double b, double c, double d);
inline double xatm_computeWidth(double matrix[4]);
inline double xatm_computeHeight(double matrix[4]);
inline double xatm_computeChWidth(double matrix[4]);
inline double xatm_computeChHeight(double matrix[4]);
inline double xatm_computeXdelta(double matrix[4]);
inline double xatm_computeYdelta(double matrix[4]);

#endif
